<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorLine"
    android:orientation="vertical">

    <android.support.v4.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorWrite"
                android:orientation="vertical"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_70"
                    android:clickable="true"
                    android:gravity="center|start"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:text="出发地:"
                        android:textColor="@color/textGray"
                        android:textSize="@dimen/text_14" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/size_70"
                        android:gravity="center"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_company"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/size_10"
                            android:gravity="center|start"
                            android:lines="1"
                            android:text="欣新房车（松山湖）有限公司"
                            android:textColor="@color/colorMain"
                            android:textSize="@dimen/text_14" />

                        <TextView
                            android:id="@+id/tv_setoff_company_address"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|start"
                            android:lines="2"
                            android:text="东莞市和兴街与莞樟路交叉口西100米"
                            android:textColor="@color/textGray"
                            android:textSize="@dimen/text_10" />
                    </LinearLayout>
                </RelativeLayout>

                <include layout="@layout/common_line" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_50"
                    android:clickable="true"
                    android:gravity="center|start"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:text="目的地:"
                        android:textColor="@color/textGray"
                        android:textSize="@dimen/text_14" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/size_70"
                        android:gravity="center"
                        android:orientation="vertical">


                        <TextView
                            android:id="@+id/tv_destination"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|start"
                            android:lines="1"
                            android:text="呼伦贝尔大草原"
                            android:textColor="@color/colorMain"
                            android:textSize="@dimen/text_14" />
                    </LinearLayout>
                </RelativeLayout>

                <include layout="@layout/common_line" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_50"
                    android:clickable="true"
                    android:gravity="center|start">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:text="活动日期:"
                        android:textColor="@color/textGray"
                        android:textSize="@dimen/text_14" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/size_70"
                        android:gravity="center"
                        android:orientation="vertical">


                        <TextView
                            android:id="@+id/tv_activity_time"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|start"
                            android:lines="1"
                            android:text="2019-06-12周三~2019-06-18周二"
                            android:textColor="@color/colorMain"
                            android:textSize="@dimen/text_14" />
                    </LinearLayout>
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/size_15"
                android:background="@color/colorWrite"
                android:orientation="vertical"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_50"
                    android:gravity="center_vertical"
                    android:text="联系人信息"
                    android:textColor="@color/colorMain"
                    android:textSize="@dimen/text_14" />

                <include layout="@layout/common_line" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_50"
                    android:clickable="true"
                    android:gravity="center|start"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="*"
                            android:textColor="@color/colorAuxiliaryRed"
                            android:textSize="@dimen/text_14"
                            android:visibility="visible" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="姓名:"
                            android:textColor="@color/colorMain"
                            android:textSize="@dimen/text_14" />
                    </LinearLayout>

                    <EditText
                        android:id="@+id/et_name"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/size_60"
                        android:background="@null"
                        android:gravity="center|start"
                        android:hint="请输入姓名"
                        android:inputType="text"
                        android:lines="1"
                        android:textColor="@color/colorMain"
                        android:textFontWeight="1"
                        android:textSize="@dimen/text_14" />

                </RelativeLayout>

                <include layout="@layout/common_line" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_50"
                    android:clickable="true"
                    android:gravity="center|start"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="*"
                            android:textColor="@color/colorAuxiliaryRed"
                            android:textSize="@dimen/text_14"
                            android:visibility="visible" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="手机号"
                            android:textColor="@color/colorMain"
                            android:textSize="@dimen/text_14" />
                    </LinearLayout>

                    <EditText
                        android:id="@+id/et_phone"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/size_60"
                        android:background="@null"
                        android:gravity="center|start"
                        android:hint="请输入手机号码"
                        android:inputType="phone"
                        android:lines="1"
                        android:maxLength="11"
                        android:textColor="@color/colorMain"
                        android:textFontWeight="1"
                        android:textSize="@dimen/text_14" />
                </RelativeLayout>

                <include layout="@layout/common_line" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_50"
                    android:clickable="true"
                    android:gravity="center|start"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:text="邮箱"
                        android:textColor="@color/colorMain"
                        android:textSize="@dimen/text_14" />

                    <EditText
                        android:id="@+id/et_mailbox"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/size_60"
                        android:background="@null"
                        android:gravity="center|start"
                        android:hint="用于接收出游通知"
                        android:inputType="textEmailAddress"
                        android:lines="1"
                        android:textColor="@color/colorMain"
                        android:textFontWeight="1"
                        android:textSize="@dimen/text_14" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/size_15"
                android:background="@color/colorWrite"
                android:orientation="vertical"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15">

                <LinearLayout
                    android:id="@+id/ll_item_visitor_information"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/size_50"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="出游人信息"
                        android:textColor="@color/colorMain"
                        android:textSize="@dimen/text_14" />

                    <TextView
                        android:id="@+id/tv_number_of_visitors"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/size_20"
                        android:layout_weight="1"
                        android:text="2成人1儿童"
                        android:textColor="@color/textGray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="请选择出游人"
                        android:textColor="@color/text_Gray"
                        android:textSize="@dimen/text_14"
                        android:visibility="gone" />
                </LinearLayout>

                <include layout="@layout/common_line" />

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/rv_traveler"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                </android.support.v7.widget.RecyclerView>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/size_50"
                android:layout_marginTop="@dimen/size_15"
                android:background="@color/colorWrite"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="保险信息"
                    android:textColor="@color/colorMain"
                    android:textSize="@dimen/text_14" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/size_10"
                    android:textSize="@dimen/text_14"
                    android:text="保险 每天"/>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_insurance_information"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/text_14"
                        android:textColor="@color/colorAuxiliaryRed"
                        android:text="¥5/人" />

                    <ImageView
                        android:id="@+id/iv_item_insurance_information"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingRight="@dimen/size_20"
                        android:paddingTop="@dimen/size_5"
                        android:paddingBottom="@dimen/size_5"
                        android:paddingLeft="@dimen/size_5"
                        android:src="@drawable/rv_common_icon_notice"/>

                </LinearLayout>


                
                <com.rv.component.control.SwitchButton
                    android:id="@+id/swbtn_insurance"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:sb_button_color="@color/colorWrite"
                    app:sb_checked_color="@color/gray_FFB74B"
                    app:sb_show_indicator="false"
                    app:sb_uncheckcircle_color="@color/textLightGrey" />
            </LinearLayout>
            <include layout="@layout/common_line" />

            <RelativeLayout
                android:background="@color/colorWrite"
                android:id="@+id/rl_item_select_coupon"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15"
                android:layout_width="match_parent"
                android:layout_height="@dimen/size_50">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="使用优惠券"
                    android:textColor="@color/colorMain"
                    android:textSize="@dimen/text_16" />

                <TextView
                    android:id="@+id/tv_coupon_amount"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:text="暂无优惠券"
                    android:textColor="@color/gray_FFB74B"
                    android:textSize="@dimen/text_14" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rl_item_notice"
                android:layout_width="match_parent"
                android:layout_height="@dimen/size_50"
                android:layout_marginTop="@dimen/size_15"
                android:background="@color/colorWrite"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="预定须知"
                    android:textColor="@color/colorMain"
                    android:textSize="@dimen/text_14" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/tourism_rv_common_icon_notice" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/size_40"
                android:gravity="center|start"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15">

                <CheckBox
                    android:id="@+id/cb_agree_to_know"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="同意预订须知和"
                    android:textColor="@color/textGray"
                    android:textSize="@dimen/text_12" />

                <TextView
                    android:id="@+id/tv_contract"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:clickable="true"
                    android:gravity="center"
                    android:text="《合同协议》"
                    android:textColor="@color/colorYellow"
                    android:textSize="@dimen/text_12" />
            </LinearLayout>

        </LinearLayout>
    </android.support.v4.widget.NestedScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/size_50"
        android:background="@color/colorWrite"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/ll_bottom"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/size_15"
            android:layout_weight="2"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="支付金额："
                android:textColor="@color/colorMain"
                android:textSize="@dimen/text_16" />

            <TextView
                android:id="@+id/tv_payment_amount"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="¥3550.00"
                android:textColor="@color/colorAuxiliaryRed"
                android:textSize="@dimen/text_16" />

            <View
                android:layout_width="@dimen/size_1"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/size_15"
                android:layout_marginBottom="@dimen/size_15"
                android:background="@color/colorLine" />

            <TextView
                android:id="@+id/tv_detail"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center"
                android:drawableRight="@drawable/rv_common_icon_down_arrow"
                android:drawablePadding="@dimen/size_3"
                android:paddingLeft="@dimen/size_15"
                android:paddingRight="@dimen/size_15"
                android:text="明细"
                android:textColor="@color/colorMain"
                android:textSize="@dimen/text_16" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_confirm_order"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/gray_FFB74B"
            android:gravity="center"
            android:text="确认订单"
            android:textColor="@color/colorWrite"
            android:textSize="@dimen/text_16" />
    </LinearLayout>

</LinearLayout>